<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>OLIP Authentication</title>

    <link rel="stylesheet" href="{{ url_for('static',filename='css/style.css') }}">


</head>

{% from '_helpers.html' import auth_form %}

<body onload="initTab()">

<div class="login-page">

    <div class="bg-helper"></div>
    <div class="login-card">
        <div class="tab">
            <button class="tablinks active"
                    onclick="openProvider('internal', event)"
            >Internal
            </button>

            {% for p in providers %}
                <button class="tablinks" onclick="openProvider('{{ p[0].bundle }}', event)">{{ p[0].name }}</button>
            {% endfor %}
        </div>

        {{ auth_form('internal', 'Internal', message) }}
        {% for p in providers %}
            {{ auth_form(p[0].bundle, p[0].name, message) }}
        {% endfor %}
    </div>

</div>


<script src="{{ url_for('static',filename='js/jquery.js') }}"></script>
<script src="{{ url_for('static',filename='js/index.js') }}"></script>

</body>

</html>